Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: OpenOffice  (Прочитано 11781 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sweller

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
OpenOffice
« : 03 Ноябрь 2006, 17:10:52 »
Скачал OpenOffice.org 2.0.4 (OOo_2.0.4-2_LinuxIntel_install_ru_infra_deb.tar.bz2) распаковал и получил 29 пакетов с расширением deb...при попытке установки любого из пакетов требуется openoffice.org-core01_2.0.4-6_i386.deb при его установке нужен openoffice.org-core02_2.0.4-6_i386.deb...Замкнутый круг :D
Как побороть??? ???

Оффлайн kss

  • Любитель
  • *
  • Сообщений: 88
    • Просмотр профиля
Re: OpenOffice
« Ответ #1 : 03 Ноябрь 2006, 17:17:56 »
Создать локальный репозитарий и устанавливать через apt или synaptic. Ну или попробовать сделать так
sudo dpkg --instal --recursive <путь к папке с файлами>

Оффлайн tneo

  • Новичок
  • *
  • Сообщений: 29
  • Hasta la Vista
    • Просмотр профиля
Re: OpenOffice
« Ответ #2 : 03 Ноябрь 2006, 18:00:35 »
dpkg -force

Оффлайн Pool

  • Участник
  • *
  • Сообщений: 228
    • Просмотр профиля
Re: OpenOffice
« Ответ #3 : 03 Ноябрь 2006, 18:11:50 »
dpkg -i *.deb

при отсутствии значков в меню повторить

dpkg -i *.deb

Проверено много раз

Оффлайн sweller

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: OpenOffice
« Ответ #4 : 03 Ноябрь 2006, 19:33:28 »
dmitriy@UBUNTU:~$ sudo dpkg -i /home/dmitriy/Desktop/OOO/10/openoffice.org-core01_2.0.4-6_i386.deb
(Чтение базы данных... на данный момент установлено 92412 файлов и каталогов.)
Подготовка к замене пакета openoffice.org-core01 2.0.4-6 (используется файл .../openoffice.org-core01_2.0.4-6_i386.deb)...
Распаковывается замена для пакета openoffice.org-core01...
dpkg: зависимости пакетов не позволяют настроить пакет openoffice.org-core01:
 openoffice.org-core01 зависит от openoffice.org-core02, однако:
  Пакет openoffice.org-core02 пока не настроен.
 openoffice.org-core01 зависит от openoffice.org-core03, однако:
  Пакет openoffice.org-core03 не установлен.
 openoffice.org-core01 зависит от openoffice.org-core04, однако:
  Пакет openoffice.org-core04 не установлен.
 openoffice.org-core01 зависит от openoffice.org-core05, однако:
  Пакет openoffice.org-core05 не установлен.
 openoffice.org-core01 зависит от openoffice.org-core06, однако:
  Пакет openoffice.org-core06 не установлен.
 openoffice.org-core01 зависит от openoffice.org-core07, однако:
  Пакет openoffice.org-core07 не установлен.
 openoffice.org-core01 зависит от openoffice.org-core08, однако:
  Пакет openoffice.org-core08 не установлен.
dpkg: не удалось обработать параметр openoffice.org-core01 (--install):
 проблемы зависимостей -- оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 openoffice.org-core01

dmitriy@UBUNTU:~$ sudo dpkg -i /home/dmitriy/Desktop/OOO/10/openoffice.org-core08_2.0.4-6_i386.deb
Выбор ранее не выбранного пакета openoffice.org-core08.
(Чтение базы данных... на данный момент установлено 92411 файлов и каталогов.)
Распаковывается пакет openoffice.org-core08 (из файла .../openoffice.org-core08_2.0.4-6_i386.deb)...
dpkg: зависимости пакетов не позволяют настроить пакет openoffice.org-core10:
 openoffice.org-core08 зависит от openoffice.org-core01, однако:
  Пакет openoffice.org-core01 пока не настроен.
dpkg: не удалось обработать параметр openoffice.org-core08 (--install):
 проблемы зависимостей -- оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 openoffice.org-core08 >:(

Оффлайн Pool

  • Участник
  • *
  • Сообщений: 228
    • Просмотр профиля
Re: OpenOffice
« Ответ #5 : 03 Ноябрь 2006, 19:36:02 »
а старый офис снесен или нет

Оффлайн sweller

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: OpenOffice
« Ответ #6 : 03 Ноябрь 2006, 19:40:24 »
 :)Создать локальный репозитарий и устанавливать через apt или synaptic. Ну или попробовать сделать так
Code:
sudo dpkg --instal --recursive <путь к папке с файлами> :)

ПОМОГЛО!!!!

СПАСИБО...

Denis

  • Гость
Re: OpenOffice
« Ответ #7 : 20 Июнь 2007, 18:48:57 »
Печатал в Word. Часть документа была сохранена, часть нет. Убил Word в процессах. Открываю документ. Word предложил восстановить и восстановил несохраненную часть. OpenOffice так умеет?

Оффлайн 6uest

  • Активист
  • *
  • Сообщений: 302
    • Просмотр профиля
Re: OpenOffice
« Ответ #8 : 20 Июнь 2007, 18:53:50 »
ДА

Оффлайн neomaxx

  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: OpenOffice
« Ответ #9 : 20 Июнь 2007, 18:54:25 »
а старый офис снесен или нет

Интересует, снесется ли уже установленная версия OpenOffice.org?

Оффлайн Nick F0x

  • Активист
  • *
  • Сообщений: 317
  • Или ты имеешь мир, или наоборот, третьего не дано.
    • Просмотр профиля
    • f0x.ru
Re: OpenOffice
« Ответ #10 : 20 Июнь 2007, 20:06:02 »
делается так, заходим в режим восстановления, далее apt-get remove openoffice.org2*, далее уже ставим из пакетов dpkg -i *.deb, потом после загрузки нужно ещё заново локализацию через система-администрирование-локализации русскую полную включить. всё работает ок.
« Последнее редактирование: 20 Июнь 2007, 20:25:41 от rufo »

Оффлайн SETRO

  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: OpenOffice
« Ответ #11 : 23 Июль 2007, 17:32:20 »
это вот все хорошо, я сделал все как положено, снес опенофис убунты, поставил как положено опенофис от инфры, НО
теперь постоянно apt-get при люой команде пишет

Следующие пакеты были установлены автоматически но более не требуются:
  openoffice.org-writer openoffice.org-draw openoffice.org-calc

тоесть как так? он предлагает автоудалить те пакеты, которые я установил от инфры.

мне конечно не внапряг пропустить эти строки, но вот чтото внутри мне подсказывает, что это не есть хорошо, и нада бы починить

я ессесна не делаю autoremove иначе останется тока impress... как побороть? как сделать так, чтобы он "принял" чтоли эти пакеты и не считал что они не нужны...


Оффлайн Leolik

  • Участник
  • *
  • Сообщений: 159
  • Крымчанин
    • Просмотр профиля
Re: OpenOffice
« Ответ #12 : 23 Июль 2007, 17:48:25 »
это вот все хорошо, я сделал все как положено, снес опенофис убунты, поставил как положено опенофис от инфры, НО
теперь постоянно apt-get при люой команде пишет

Следующие пакеты были установлены автоматически но более не требуются:
  openoffice.org-writer openoffice.org-draw openoffice.org-calc

тоесть как так? он предлагает автоудалить те пакеты, которые я установил от инфры.

мне конечно не внапряг пропустить эти строки, но вот чтото внутри мне подсказывает, что это не есть хорошо, и нада бы починить

я ессесна не делаю autoremove иначе останется тока impress... как побороть? как сделать так, чтобы он "принял" чтоли эти пакеты и не считал что они не нужны...



все очень просто заходишь в Synaptic - ищешь openoffice.org-writer - выделяешь его, заходишь в меню Пакет и убираешь там галочку Автоматически установленные. и так с остальными пакетами. и все при autoremove эти пакеты уже не будут светиться, как зависимости

Оффлайн SETRO

  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Re: OpenOffice
« Ответ #13 : 23 Июль 2007, 18:32:06 »
большое спасибо. помогло, но можно ли это сделать командой apt-get?

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: OpenOffice
« Ответ #14 : 23 Июль 2007, 18:59:00 »
Можно, видимо, почитать man apt_preferences

 

Страница сгенерирована за 0.055 секунд. Запросов: 22.